<?php
class Parceria {
	public $parceriaID;
	public $nome;
	public $descricao;
	public $url;
	public $email;
	public $foto;
	public $fotoQ;
	public $banner;
	public $lang;
	
	public function getBanner() {
		return $this->banner;
	}
	
	public function setBanner($banner) {
		$this->banner = $banner;
	}
	
	public function getDescricao() {
		return Idiomas::getTexto($this->descricao,$this->lang);
	}
	
	public function setDescricao($descricao) {
		$this->descricao = Idiomas::setTexto($this->descricao,$this->lang,$descricao);
	}
	
	public function getEmail() {
		return $this->email;
	}
	
	public function setEmail($email) {
		$this->email = $email;
	}
	
	public function getFoto() {
		return $this->foto;
	}
	
	public function setFoto($foto) {
		$this->foto = $foto;
	}
	
	public function getNome() {
		return Idiomas::getTexto($this->nome,$this->lang);
	}
	
	public function setNome($nome) {
		$this->nome = Idiomas::setTexto($this->nome,$this->lang,$nome);
	}
	
	public function getParceriaID() {
		return $this->parceriaID;
	}
	
	public function setParceriaID($parceriaID) {
		$this->parceriaID = $parceriaID;
	}
	
	public function getUrl() {
		return $this->url;
	}
	
	public function setUrl($url) {
		$this->url = $url;
	}
	/**
	 * @return unknown
	 */
	public function getFotoQ() {
		return $this->fotoQ;
	}
	
	/**
	 * @param unknown_type $fotoQ
	 */
	public function setFotoQ($fotoQ) {
		$this->fotoQ = $fotoQ;
	}


}
?>